/* General reset */
*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Mainbackground styling */
body {
  width: 100%;
  font-family: "Poppins", serif;
  font-size: 16px;
  background-color: #f7fdfc;
  display: flex;
}

.mainBackground {
  display: flex;
  width: 100%;
  height: max-content;
  padding: 70px;
  justify-content: center;
  align-items: center;
  gap: 50px;
}

/* Hero Section  */
.heroSect {
  width: 100%;
  max-width: 460px;
  max-height: 275px;
  background-color: #f7fdfc;
  align-self: flex-start;
  padding-top: 100px;
}

img {
  max-width: clamp(38.67px, 5vw, 77.33px);
  max-height: 80px;
  margin-bottom: 30px;
}

h1 {
  width: 268px;
  height: 50px;
  font-family: Brown;
  color: #000b0a;
  font-size: 40px;
  font-weight: 700;
  line-height: 50px;
  letter-spacing: -0.800000011920929px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  margin-bottom: 20px;
}

.heroSect p {
  width: 100%;
  max-width: 460px;
  height: 100%;
  max-height: 75px;
  color: #737373;
  font-size: 16px;
  font-weight: 400;
  line-height: 25px;
  text-align: left;
  text-underline-position: from-font;
}

/* Styling for the form */
.formSect {
  border-radius: 6px;
  width: 100%;
  height: max-content;
  max-width: 580px;
  background-color: #ffffff;
  border: 1px solid #ddd;
  box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
}

form {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 30px;
}

.lineCont {
  display: flex;
  width: 100%;
}

.labelInputCont {
  width: 100%;
  font-size: 13px;
  font-weight: 600;
  margin: 10px;
}

.labelInputCont input,
select,
#date {
  width: 100%;
  padding: 12px;
  margin-top: 10px;
  border: 1px solid #e0e0e0;
  font-size: 13px;
  font-weight: 300;
}

#ActivityLevel,
#Password,
#register {
  display: flex;
  width: 500px;
  }

.agree {
  text-align: center;
}

span {
  color: #2ec4b6;
  text-decoration: underline;
}

.button {
  background-color: #2ec4b6;
}

/* Responsive Styling */

@media (max-width: 800px) {
  .mainBackground {
    flex-direction: column;
  }
  .lineCont {
    flex-direction: column;
    width: 100%;
  }

  .labelInputCont {
    width: 100%;
  }

  #register {
    width: 100%;
  }

  .heroSect {
    margin-top: -100px;
    align-self: center;
    width: 100%;
  }
}

@media (max-width: 460px) {
  #ActivityLevel,
  #Password,
  #register {
    display: flex;
    width: 100%;
  }

  .formSect {
    width: 327px;
  }

  .heroSect {
    margin-top: -100px;
  }
}
